/*
m_3d_global_reverb - put global hrtf reverb on an input signal

DESCRIPTION
m_3d_reverb reverberates a signal in a predefined room. This only adds the late
reverb using hrtfreverb.

SYNTAX
aleft, aright m_3d_global_reverb ain, iroomfn

INITIALIZATION
iroomfn - ftable describing a room (see m_3d_atmo for the format)

PERFORMANCE
ain - input signal, usually a global mono signal, which has also been positioned
	 in the same room using hrtfearly

CREDITS
Author: Jeanette C., thanks to Brian Carty, author of the HRTF opcodes.
*/

opcode m_3d_global_reverb, aa, ai
	arevin, iroomfn xin

	; Read reverbaration parameters
	iorder table 1, iroomfn, 0
	irtl table 20, iroomfn, 0
	irth table 21, iroomfn, 0
	imfp table 22, iroomfn, 0
	Sleft sprintf "hrtf-%d-left.dat", sr
	Sright sprintf "hrtf-%d-right.dat", sr

	; Reverberate the signal and delay it
	al, ar, idel hrtfreverb arevin, irtl, irth, Sleft, Sright, sr, imfp, iorder
	aleft delay al*.1, idel
	aright delay ar*.1, idel

	xout aleft, aright
endop
